osKernelConfig_s Struct Reference

Kernel configuration page (read-only). More...

`#include <os.h>`

## Data Fields

u32 | kernel_ver
u32 | update_flag
u64 | ns_tid
u32 | kernel_syscore_ver
u8 | env_info
u8 | unit_info
u8 | boot_env
u8 | unk_0x17
u32 | kernel_ctrsdk_ver
u32 | unk_0x1c
u32 | firmlaunch_flags
u8 | unk_0x24 [0xc]
u32 | app_memtype
u8 | unk_0x34 [0xc]
u32 | memregion_sz [3]
u8 | unk_0x4c [0x14]
u32 | firm_ver
u32 | firm_syscore_ver
u32 | firm_ctrsdk_ver

## Detailed Description

Kernel configuration page (read-only).

The documentation for this struct was generated from the following file:

- include/3ds/os.h